using SchoolContracts.BindingModels;
using SchoolContracts.SearchModels;
using SchoolContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchoolContracts.StorageContracts
{
	public interface IItemStorage
	{
		List<ItemViewModel> GetFullList();
		List<ItemViewModel> GetFilteredList(ItemSearchModel model);
		ItemViewModel? GetElement(ItemSearchModel model);
		ItemViewModel? Insert(ItemBindingModel model);
		ItemViewModel? Update(ItemBindingModel model);
		ItemViewModel? Delete(ItemBindingModel model);
	}
}
